{% extends 'core/base.html' %}
{% load static %}
{% block title %}Mensajes{% endblock %}
{% block content %}
<style>
  .avatar  { width:50px; height:50px; float:left; margin-right:10px; }
</style>
<main role="main">
  <div class="container">
    <div class="row mt-3">
      <div class="col-md-9 mx-auto mb-5">
        <div class="row">
          <!-- Hilos de conversación -->
          <div class="col-md-4">
            <!-- Recorremos los Threads y sólo mostramos los que tienen como mínimo 1 mensaje -->
            {% for thread in request.user.threads.all %}
              {% if thread.messages.all|length > 0 %}
                <div class="mb-3">
                  <!-- Recorremos los miembros del hilo menos el propio request.user -->
                  {% for user in thread.users.all %}
                    {% if user != request.user %}   
                      <!-- Mostramos el avatar del miembro -->  
                      {% if user.profile.avatar %}
                        <img src="{{user.profile.avatar.url}}" class="avatar">
                      {% else %}
                        <img src="{% static 'registration/img/no-avatar.jpg' %}" class="avatar">
                      {% endif %}
                      <!-- Mostramos la información del miembro -->
                      <div>
                        <a id="link_footer" href="{% url 'messenger:detail' thread.pk %}">{{user.first_name}} {{user.last_name|truncatechars:"8"}}</a><br>
                        <small><i>Hace {{thread.messages.last.created|timesince}}</i></small>
                      </div>
                    {% endif %}
                  {% endfor %}
                </div>
              {% endif %}
            {% endfor %}
          </div>
          <!-- Hilos de conversación -->
          <div class="col-md-8">
            <p><i>Selecciona un hilo de conversación de tu panel izquierdo.</i></p>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>
{% endblock %}
